# This file created by conda-build 3.21.9
# meta.yaml template originally from:
# /feedstock/recipe, last modified Mon Aug 22 15:32:56 2022
# ------------------------------------------------

package:
  name: setuptools
  version: 63.4.1
source:
  patches:
    - patches/0002-disable-downloads-inside-conda-build.patch
    - patches/0006-Win32-Fixes-for-Windows-GCC-interop-needed-by-RPy2-a.patch
    - patches/0012-Disable-new-dtags-in-unixccompiler.py.patch
    - patches/0019-Use-ranlib-from-env-if-env-variable-is-set.patch
    - patches/0021-Add-d1trimfile-SRC_DIR-to-make-pdbs-more-relocatable.patch
    - patches/0035-pypy-distutils-scheme.patch
  sha256: 7c7854ee1429a240090297628dc9f75b35318d193537968e2dc14010ee2f5bca
  url: https://pypi.io/packages/source/s/setuptools/setuptools-63.4.1.tar.gz
build:
  number: '0'
  string: py38hd43f75c_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - patch 2.7.6 hfd63f10_1001
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - ca-certificates 2022.07.19 hd43f75c_0
    - certifi 2022.6.15 py38hd43f75c_0
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libffi 3.3 h7c1a80f_2
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - ncurses 6.3 h998d150_3
    - openssl 1.1.1q h2f4d8fa_0
    - python 3.8.13 hc137634_0
    - readline 8.1.2 h2f4d8fa_1
    - sqlite 3.39.2 hf533066_0
    - tk 8.6.12 h241ca14_0
    - xz 5.2.5 h2f4d8fa_1
    - zlib 1.2.12 h2f4d8fa_2
  run:
    - certifi >=2016.9.26
    - python >=3.8,<3.9.0a0
test:
  imports:
    - pkg_resources
    - setuptools
about:
  description: 'Setuptools is a fully-featured, actively-maintained, and stable library

    designed to facilitate packaging Python projects.

    '
  dev_url: https://github.com/pypa/setuptools
  doc_source_url: https://github.com/pypa/setuptools/tree/master/docs
  doc_url: https://setuptools.pypa.io/en/latest/
  home: https://github.com/pypa/setuptools
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: Download, build, install, upgrade, and uninstall Python packages
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 4cab755d-4e3d-4b94-a64c-9202d0963cb9
  recipe-maintainers:
    - isuruf
    - jakirkham
    - msarahan
    - nicoddemus
    - ocefpaf
  remote_url: git@github.com:AnacondaRecipes/setuptools-feedstock.git
  sha: da311f4f59088782600deede12b94f8990d1c094
